// This file was generated by qlalr - DO NOT EDIT!
#include "table_lgcoutputloglexer_p.h"

const char *const Table_LGCOutputLogLexer::spell [] = {
    "end of file", "New line '\\n'", "Integer", "[ERROR]", "Line", "Frames", "Word"
};

const short Table_LGCOutputLogLexer::lhs [] = {
    8, 8, 9, 9, 10, 7, 7, 12, 12, 11,
    11, 13, 13, 14, 14, 15
};

const short Table_LGCOutputLogLexer::rhs [] = {
    1, 2, 1, 1, 1, 2, 3, 2, 1, 1,
    1, 2, 1, 5, 9, 2
};

const short Table_LGCOutputLogLexer::action_default [] = {
    0, 9, 5, 0, 4, 0, 0, 11, 13, 10,
    3, 12, 3, 8, 0, 0, 0, 0, 0, 0,
    0, 15, 0, 14, 16, 0, 7, 1, 2, 6
};

const short Table_LGCOutputLogLexer::goto_default [] = {
    5, 29, 1, 3, 6, 9, 7, 8, 0
};

const short Table_LGCOutputLogLexer::action_index [] = {
    20, -7, -7, 8, -7, 27, -1, -7, -7, 15,
    -7, 15, 11, -7, -5, 4, -4, 1, -2, 3,
    15, 15, 15, 15, -7, 10, 6, -7, -7, 7,

    -9, -9, -9, -5, -9, 0, -9, -9, -9, -1,
    -9, 7, -9, -9, -9, -9, -9, -9, -9, -9,
    -3, 7, -2, 7, -9, 4, -9, -9, -9, -9
};

const short Table_LGCOutputLogLexer::action_info [] = {
    27, 16, 17, 18, 19, 20, 22, 28, 28, 0,
    4, 27, 0, 0, 12, 15, 14, 4, 0, 0,
    0, 10, 4, 2, 0, 0, 10, 24, 0, 4,
    2, 0, 0, 10,

    11, 13, 21, 23, 25, 26, 0, 0, 0, 13,
    0, 0, 0, 0, 0, 0
};

const short Table_LGCOutputLogLexer::action_check [] = {
    1, 6, 6, 2, 6, 2, 2, 1, 1, -1,
    2, 1, -1, -1, 6, 4, 5, 2, -1, -1,
    -1, 6, 2, 3, -1, -1, 6, 0, -1, 2,
    3, -1, -1, 6,

    5, 2, 5, 5, 4, 1, -1, -1, -1, 2,
    -1, -1, -1, -1, -1, -1
};

